msgpack::type::define_array<> Struct Template Reference

`#include <cpp03_define_array.hpp>`

## Public Types

typedef define_array | value_type
typedef tuple | tuple_type
typedef define_array | value_type
typedef std::tuple | tuple_type

## Public Member Functions

template<typename Packer >
void | msgpack_pack (Packer &pk) const
void | msgpack_unpack (msgpack::object const &o)
void | msgpack_object (msgpack::object *o, msgpack::zone &) const
template<typename Packer >
void | msgpack_pack (Packer &pk) const
void | msgpack_unpack (msgpack::object const &o)
void | msgpack_object (msgpack::object *o, msgpack::zone &) const

## Member Typedef Documentation

## tuple_type [1/2]

typedef tuple msgpack::type::define_array<>::tuple_type

## tuple_type [2/2]

typedef std::tuple msgpack::type::define_array<>::tuple_type

## value_type [1/2]

typedef define_array msgpack::type::define_array<>::value_type

## value_type [2/2]

typedef define_array msgpack::type::define_array<>::value_type

## Member Function Documentation

## msgpack_object() [1/2]

void msgpack::type::define_array<>::msgpack_object | ( | msgpack::object * | o,
|  | msgpack::zone & |
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::object::convert(), msgpack::type::define_array< Args >::define_array(), MSGPACK_NULLPTR, msgpack::type::define_array< Args >::msgpack_object(), msgpack::type::define_array< Args >::msgpack_pack(), msgpack::type::define_array< Args >::msgpack_unpack(), MSGPACK_ZONE_ALIGNOF, msgpack::object_array::ptr, msgpack::object_array::size, msgpack::type::size(), msgpack::object::type, and msgpack::object::via.

## msgpack_object() [2/2]

void msgpack::type::define_array<>::msgpack_object | ( | msgpack::object * | o,
|  | msgpack::zone & |
| ) |  | const

inline

References msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::type::make_define_array(), msgpack::object_array::ptr, msgpack::object_array::size, msgpack::object::type, and msgpack::object::via.

## msgpack_pack() [1/2]

template<typename Packer >

void msgpack::type::define_array<>::msgpack_pack | ( | Packer & | pk | ) | const

inline

## msgpack_pack() [2/2]

template<typename Packer >

void msgpack::type::define_array<>::msgpack_pack | ( | Packer & | pk | ) | const

inline

## msgpack_unpack() [1/2]

void msgpack::type::define_array<>::msgpack_unpack | ( | msgpack::object const & | o | ) |

inline

References msgpack::type::ARRAY, and msgpack::object::type.

## msgpack_unpack() [2/2]

void msgpack::type::define_array<>::msgpack_unpack | ( | msgpack::object const & | o | ) |

inline

References msgpack::type::ARRAY, and msgpack::object::type.

The documentation for this struct was generated from the following files:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp03_define_array.hpp
- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp11_define_array.hpp